From b00191b4dd22bd2b07e6453d43ecd2f85cf7ec0e Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@rosenzweig.io>
Date: Fri, 24 Jan 2025 12:18:45 -0500
Subject: [PATCH] Fix modf mapping

now mapped to ModfStruct. fixes internal error on KHR-GL46.gl_spirv.spirv_glsl_to_spirv_builtin_functions_test

Signed-off-by: Alyssa Rosenzweig <alyssa@rosenzweig.io>
---
 external/openglcts/modules/gl/gl4cGlSpirvTests.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/external/openglcts/modules/gl/gl4cGlSpirvTests.cpp b/external/openglcts/modules/gl/gl4cGlSpirvTests.cpp
index 52b9e99e9..4de1c93ce 100644
--- a/external/openglcts/modules/gl/gl4cGlSpirvTests.cpp
+++ b/external/openglcts/modules/gl/gl4cGlSpirvTests.cpp
@@ -1777,7 +1777,7 @@ void SpirvGlslToSpirVBuiltInFunctionsTest::initMappings()
     m_mappings["ceil"].push_back("OpExtInst Ceil");
     m_mappings["fract"].push_back("OpExtInst Fract");
     m_mappings["mod"].push_back("OpFMod");
-    m_mappings["modf"].push_back("OpExtInst Modf");
+    m_mappings["modf"].push_back("OpExtInst ModfStruct");
     m_mappings["min"].push_back("OpExtInst FMin");
     m_mappings["max"].push_back("OpExtInst FMax");
     m_mappings["clamp"].push_back("OpExtInst FClamp");
-- 
2.48.1

